@import url('https://fonts.googleapis.com/css2?family=Playfair+Display&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*
{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}
body
{
    background: #000000;
    color: #fff;
}
html
{
    scroll-behavior: smooth;
}
#header
{
    width: 100%;
    height: 100vh;
    background-image: url(images/background.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 95%;
}
.container
{
    padding: 1% 7.5%;
}
nav
{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo
{
    width: 350px;
    justify-content: center;
}
nav ul li
{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a
{
    color: #fff;
    text-decoration: none;
    font-size: 18px; 
    position: relative;
}
nav ul li a::after
{
    content: '';
    width: 0;
    height: 3px;
    background: #FFD700;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.3s;
}
nav ul li a:hover::after
{
    width: 100%;
}
.header-text
{
    margin-top: 15%;
    font-size: 225%;
    font-weight: 600;
    position: relative;
    bottom: 70px;
}
.header-text h1
{
    font-size: 200%;
    margin-top: 15px;
}
.header-text h1 span
{
    color: #FFD700;
}

/* about section */
#about
{
    padding: 80px 0;
    font-size: 20px;
}
.row
{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1
{
    flex-basis: 35%; 
}
.about-col-1 img
{
    width: 100%;
    border-radius: 15px;
}
.about-col-2
{
    flex-basis: 60%;
    color: #fff;
}
sub-title
{
    font-size: 80px;
    font-weight: 800;
    color: #FFD700;
}
.tab-titles
{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links
{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after
{
    content: '';
    width: 0;
    height: 3px;
    background: #FFD700;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after
{
    width: 50%;
}
.tab-contents ul li
{
    list-style: none;
    margin: 10px 0;
}
.tab-contents ul li span
{
    color: #b54769;
    font-size: 14px;
}
.tab-contents
{
    display: none;
}
.tab-contents.active-tab
{
    display: block;
}

/* services stuff */
#services
{
    padding: 30px 0;
}
.services-list
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.services-list div
{
    background: #262626;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
}
.services-list div i
{
    font-size: 50px;
    margin-bottom: 30px;
}
.services-list div h2
{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.services-list div a
{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.services-list div:hover
{
    background: #FFD700;
    transform: translateY(-10px);
}

/* portfolio */
#portfolio
{
    padding: 50px 0;
}
.work-list
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work
{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img 
{
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}
.layer
{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6), #FFD700);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 15 40px;
    text-align: center;
    transition: height 0.5s;
}
.layer h1
{
    font-weight: 800;
    margin-bottom: 50px;
}
.layer a
{
    margin-top: 20px;
    color: #FFD700;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
}
.work:hover img
{
    transform: scale(1.1);
}
.work:hover .layer
{
    height: 100%;
}
.btn
{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #FFD700;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5s;
}
.btn:hover
{
    background: #FFD700;
}

/* contact stuff */
.contact-left
{
    flex-basis: 35%;
}
.contact-right
{
    flex-basis: 60%;
}
.contact-left p
{
    margin-top: 30px;
}
.contact-left p i
{
    color: #FFD700;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons
{
    margin-top: 30px;
}
.social-icons a
{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #fff;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover
{
    color: #FFD700;
    transform: translateY(-5px);

}
.btn.btn2
{
    display: inline-block;
    background: #FFD700;
}
.contact-right
{
    width: 100%;
}
form input, form textarea
{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
}
form btn2
{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
button
{
    cursor: pointer;
}
.copyright
{
    width: 100%;
    text-align: center;
    padding: 25px;
    background: #262626;
    font-weight: 300;
    margin-top: 20px;
}

/* media queries */
nav .fas
{
    display: none;
}

@media only screen and (max-width: 700px)
{
    #header
    {
        background-image: url(images/phone-background.png);
        width: auto;
        margin-top: 10%;
        background-position: right;
        height: auto;
    }
    /* the welcome sign */
    .header-text
    {
        /* margin-top: 100%; */
        font-size: 125%;
        bottom: 60px;
    }
    header-text
    {
        font-size: 150%;
        /* bottom: 80px; */
    }
    .nav .fas
    {
        display: block;
        font-size: 25px;
    }
    nav ul
    {
        background: #FFD700;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
    }
    nav ul li
    {
        display: block;
        margin: 25px;
    }
    nav ul fas
    {
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title
    {
        font-size: 40px;
    }
    .about-col-1, .about-col-2
    {
        flex-basis: 100%;
    }
    .about-col-1
    {
        margin-bottom: 30px;
    }
    .about-col-2
    {
        font-size: 14px;
    }
    .tab-links
    {
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right
    {
        flex-basis: 100%;
    }
    .copyright
    {
        font-size: 14px;
    }
}
.msg
{
    color: #61b752;
    margin-top: -40px;
    display: block;
}
